အကြောင်းအရာသို့ ကျော်ရန်

Veo 3.1 Image to Video

ပေါင်းစည်းရန်

မော်ဒယ် id veo3.1/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "The camera zooms right into her eye, focuses, then zooms all the way back again (no crossfade)",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false,
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_bcpcvkg8xf4nlq4fhu895qvz/0-BmlFvXLfR8RzdjlhNZMyw_l1hXLPeK.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ၀.၈၀ $ ၈၀၀ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Google ပုံမှ ဗီဒီယို မူရင်းအသံ4K ထွက်ရလဒ်၄–၈ s4k အထိ #audio#dialogue

ပုံတစ်ပုံကို ဆွေးနွေးပြောဆိုမှုနှင့် အသံပါသော 4 မှ 8 စက္ကန့် Veo 3.1 ကလစ်အဖြစ် ကာတွန်းပြုလုပ်ပြီး 4K အထိ ရရှိသည်

နမူနာများ

ထည့်သွင်းချက်
ထွက်ရလဒ် · ~76 s

ပရောမ့်The camera zooms right into her eye, focuses, then zooms all the way back again (no crossfade)

4s720pgenerate_audio: false၀.၈၀ $ · ၈၀၀ API ခရက်ဒစ်

X ရှိ @fofrAI ထံမှ ပရောမ့်

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် 94 / 20000

ဖန်တီးလိုသည့် ဗီဒီယို၏ စာသားဖော်ပြချက်။

•လိုအပ်သည် image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

Animation မူရင်းပုံ URL။ အချိုးအစားသည် 16:9 သို့မဟုတ် 9:16 နှင့် မတူပါက အလိုအလျောက် crop လုပ်သည်။ အကြံပြုထားသော မူရင်းမှာ အနည်းဆုံး 720p ရှိပြီး ထို aspect ratio များထဲမှ တစ်ခုကို အသုံးပြုထားပြီးသား ဖြစ်သည်။

duration ၄ s

ထွက်ရလဒ်ဗီဒီယို၏ ကြာချိန်။

aspect_ratio မူလ auto

ထွက်ရလဒ်ဗီဒီယို၏ aspect ratio။ 16:9 သို့မဟုတ် 9:16 သာ ခွင့်ပြုသည်။

resolution

ထွက်ရလဒ်ဗီဒီယိုအတွက် အသုံးပြုသည့် ရုပ်ထွက်အရည်အသွေး။

အဆင့်မြင့် negative_prompt · safety_tolerance · seed · auto_fix

ဗီဒီယိုဖန်တီးမှုကို လမ်းညွှန်ရန် အသုံးပြုသည့် အနုတ်လက္ခဏာပရောမ့်။

safety_tolerance မူလ 4

အတင်းကျပ်ဆုံးအဆင့် 1 ဖြစ်ပြီး အကြောင်းအရာအများစုကို ပိတ်ဆို့သည့် အနည်းဆုံးကန့်သတ်မှုအဆင့် 6 နှင့် အကြား content-moderation ခံနိုင်ရည်ကို သတ်မှတ်ပါ။

ကျပန်းနံပါတ်ဖန်တီးမှုကို စတင်ပေးသည့် seed တန်ဖိုး။

POST /run/veo3.1/image-to-video?wait=20 ကုန်ကျစရိတ် → ၀.၈၀ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "The camera zooms right into her eye, focuses, then zooms all the way back again (no crossfade)",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false,
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_bcpcvkg8xf4nlq4fhu895qvz/0-BmlFvXLfR8RzdjlhNZMyw_l1hXLPeK.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Veo 3.1 Image to Video အကြောင်း

Veo 3.1 သည် ငြိမ်ပုံတစ်ပုံကို ပုံ၏အဓိကအရာနှင့် ဘောင်ဖွဲ့စည်းမှုကို ထိန်းသိမ်းထားသော လက်တွေ့ဆန်သည့် ဗီဒီယိုအဖြစ် ပြောင်းလဲပြီး စကားပြောမှု၊ အသံအကျိုးသက်ရောက်မှုများနှင့် တေးဂီတကို ပုံနှင့်အတူ ထုတ်လုပ်သည်။ 720p၊ 1080p သို့မဟုတ် 4K ဖြင့် 4၊ 6 သို့မဟုတ် 8 စက္ကန့်၊ ဘောင်သည် ပုံအတိုင်းဖြစ်စေ သို့မဟုတ် 16:9 သို့မဟုတ် 9:16 သို့ အတင်းသတ်မှတ်နိုင်သည်။ ဈေးနှုန်းလျှော့ရန် အသံကို ပိတ်နိုင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
စာလုံး ၂၀,၀၀၀ လုံးထက် မပိုပါ
ဖန်တီးလိုသည့် ဗီဒီယို၏ စာသားဖော်ပြချက်။
aspect_ratioရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto16:99:16
ထွက်ရလဒ်ဗီဒီယို၏ aspect ratio။ 16:9 သို့မဟုတ် 9:16 သာ ခွင့်ပြုသည်။
durationရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး8s
4s6s8s
ထွက်ရလဒ်ဗီဒီယို၏ ကြာချိန်။
negative_promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring | null
ဗီဒီယိုဖန်တီးမှုကို လမ်းညွှန်ရန် အသုံးပြုသည့် အနုတ်လက္ခဏာပရောမ့်။
resolutionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး720p
720p1080p4k
ထွက်ရလဒ်ဗီဒီယိုအတွက် အသုံးပြုသည့် ရုပ်ထွက်အရည်အသွေး။
generate_audioရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ဗီဒီယိုတွင် ဖန်တီးထားသော အသံ ပါဝင်မည်၊ မည်မည်ကို ထိန်းချုပ်သည်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
ကျပန်းနံပါတ်ဖန်တီးမှုကို စတင်ပေးသည့် seed တန်ဖိုး။
auto_fixရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
content-policy စစ်ဆေးမှု သို့မဟုတ် အခြား validation များတွင် မအောင်မြင်မှုများကို ဖြေရှင်းရန် ပရောမ့်များကို အလိုအလျောက် ပြန်လည်ရေးသားခြင်း။
safety_toleranceရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး4
123456
အတင်းကျပ်ဆုံးအဆင့် 1 ဖြစ်ပြီး အကြောင်းအရာအများစုကို ပိတ်ဆို့သည့် အနည်းဆုံးကန့်သတ်မှုအဆင့် 6 နှင့် အကြား content-moderation ခံနိုင်ရည်ကို သတ်မှတ်ပါ။
image_urlလိုအပ်သည် image
အမျိုးအစားurl · image
Animation မူရင်းပုံ URL။ အချိုးအစားသည် 16:9 သို့မဟုတ် 9:16 နှင့် မတူပါက အလိုအလျောက် crop လုပ်သည်။ အကြံပြုထားသော မူရင်းမှာ အနည်းဆုံး 720p ရှိပြီး ထို aspect ratio များထဲမှ တစ်ခုကို အသုံးပြုထားပြီးသား ဖြစ်သည်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veo3.1/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "prompt": "The fox turns toward the camera and says \"Have you seen my friends?\" in a soft voice, fireflies drift by",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "duration": 6,
    "resolution": "720p"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size}မော်ဒယ်မှ ထုတ်လုပ်ထားသော ဗီဒီယို။

နောက်ထပ် မော်ဒယ်များ: ပုံမှ ဗီဒီယို

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/veo3.1/image-to-video.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt